Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.xmp
Class XMPSerializer

    java.lang.Object
      org.apache.xmlgraphics.xmp.XMPSerializer

    public final class XMPSerializer

extends Object

Serializes an XMP tree to XML or to an XMP packet.

Method Summary
`static void` | `writeXML(Metadata meta, Result res)` Writes the in-memory representation of the XMP metadata to a JAXP Result.
`static void` | `writeXMPPacket(Metadata meta, OutputStream out, boolean readOnlyXMP)` Writes the in-memory representation of the XMP metadata to an OutputStream as an XMP packet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### writeXML

    public static void writeXML(Metadata meta,
                                Result res)
                         throws TransformerConfigurationException,
                                SAXException

  Writes the in-memory representation of the XMP metadata to a JAXP Result.

  Parameters:
    `meta` - the metadata
    `res` - the JAXP Result to write to
  Throws:
    `TransformerConfigurationException` - if an error occurs setting up the XML infrastructure.
    `SAXException` - if a SAX-related problem occurs while writing the XML

### writeXMPPacket

    public static void writeXMPPacket(Metadata meta,
                                      OutputStream out,
                                      boolean readOnlyXMP)
                               throws TransformerConfigurationException,
                                      SAXException

  Writes the in-memory representation of the XMP metadata to an OutputStream as an XMP packet.

  Parameters:
    `meta` - the metadata
    `out` - the stream to write to
    `readOnlyXMP` - true if the generated XMP packet should be read-only
  Throws:
    `TransformerConfigurationException` - if an error occurs setting up the XML infrastructure.
    `SAXException` - if a SAX-related problem occurs while writing the XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.